
# Inleiding 

DigiDemoBord is een digitaal demonstratie-bord voor schaken. Het kan gebruikt worden om schaakstellingen te laten zien, en ook om pijlen en cirkels op het schaakbord te tekenen. Stellingen en zetten kunnen ook van te voren worden ingevoerd en opgeslagen, om later geladen en gebruikt te worden, of partijen kunnen gelezen worden uit een PGN bestand. Daarnaast is er een kladblok/ schoolbord, waar extra informatie kan staan. Deze handleiding hoort bij versie 2.0.0b van het DigiDemoBord.

In deze handleiding wordt eerst de installatie en het eerste gebruik besproken, vervolgens volgt informatie over het presentatiescherm, daarna informatie over het schaakbord zelf, en daarna over het editorscherm (en het maken van eigen stellingen en zettenreeksen). Daarna komt nog een hoofdstuk met opmerkingen over speciale functies van DigiDemoBord.

Als je het DigiDemoBord voor het eerst gebruikt, kan je het beste het volgende lezen tot en met 'Voor je begint', en dan het DigiDemoBord gaan gebruiken. Na gebruik kan je 'Handig om te weten' lezen.

## Installatie van het DigiDemoBord 

Pak het zip-bestand uit. Het zip-bestand bevat de volgende onderdelen:

-   digidemobord.html: het DigiDemoBord;
-   digidemobord-handleiding.pdf: de handleiding voor het DigiDemoBord in pdf-formaat;
-   digidemobord-handleiding.html: de handleiding voor het DigiDemoBord in html-formaat;
-   zetten: een map met voorbeeldbestanden met stellingen en zetten-reeksen.

Voor de installatie is verder niets nodig, de uitgepakte versie van de zip-file (en een werkende internet browser) is voldoende om het DigiDemoBord te gebruiken.

Verwijderen van het DigiDemoBord van je computer kan eenvoudig door de zip-file en de uitgepakte bestanden weer te verwijderen. Er hoeft geen de-installatie programma uitgevoerd te worden, en er blijft verder niets achter op de computer als de bestanden zijn verwijderd (behalve bestanden die je zelf hebt gemaakt en opgeslagen).

## Starten van het DigiDemoBord 

Het DigiDemoBord werkt via een internet browser. Het is met name ontwikkeld met Firefox en Chrome, en ook enigzins getest met Edge (Internet Explorer werkt niet goed). Volg de volgende stappen (voor Windows, Linux / MacOS is analoog) om het te gebruiken:

-   zorg dat een bruikbare internet browser (Firefox) geïnstalleerd is (een werkende internet-verbinding is *niet* nodig voor het gebruik van het DigiDemoBord)

-   open digidemobord.html, op een van de volgende manieren:

    -   start de internet browser, en doe dan 'Open Bestand' (bijv. bij Firefox vanuit het menu rechtsboven), en ga dan naar digidemobord.html, of
    -   open een Verkenner, ga naar het bestand digidemobord.html, klik met de rechtermuisknop op dit bestand, en selecteer "Openen met...", en kies dan de juiste internet browser (bijv. Firefox), of
    -   open een Verkenner, ga in de verkenner naar het bestand digidemobord.html, en dubbelklik dit bestand

-   gebruik eventueel de F11 toets om naar volledig scherm te gaan (zie ook [Gebruik je browser](#gebruik-je-browser)), en de Esc toets om het volledige scherm weer te verlaten.

Het DigiDemoBord gebruikt Javascript, de internet browser zou toestemming kunnen vragen om Javascript te gebruiken. Sta dit toe voor het geopende bestand (digidemobord.html).

## Voor je begint 

![Figure 1: Presentatiescherm na opstarten.]({{site.baseurl}}/assets/ddb/screenshots//2.0/start.gif){: #fig:start .align-center width="80%"}

Het DigiDemoBord zou zonder veel hulp te gebruiken moeten zijn. Voor het gebruik is het wel goed om het volgende te weten:

-   het DigiDemoBord heeft een presentatiescherm (zie fig. [1](#fig:start), met een groot schaakbord, en wat knoppen rechts ervan), en een editorscherm (met ook informatie links van het schaakbord, en allerlei knoppen boven het schaakbord). De editor mode is alleen bedoeld om stellingen/zettenreeksen/tekst in te voeren en op te slaan voor later gebruik);
-   het DigiDemoBord heeft ook een kladblok/schoolbord waar je kan schrijven;
-   de meeste knoppen en velden van het DigiDemoBord hebben een 'tooltip'; dit betekent dat als je de muis naar een knop of veld gaat, er een korte tekst verschijnt met informatie over deze knop of dit element;
-   als je (Ctrl+) H of (Ctrl+) ? indrukt als je met de muis op een knop of element staat, zal de hulp uit deze handleiding in een nieuw window van de browser verschijnen, met de informatie over de knop bovenaan in het scherm;
-   het menu (rechtsboven, drie horizontale streepjes) heeft opties om het bord om te draaien, naar volledige scherm te gaan, de introductie te laten zien, etc.
-   onderaan het scherm verschijnen soms meldingen, over wat het DigiDemoBord doet, of als er iets niet goed gaat.
-   de structuur van wat je in het DigiDemoBord kan maken en laten zien: in het DigiDemoBord kan je stellingen en zettenreeksen laten zien (en aanmaken, en opslaan en inlezen). Op het bovenste nivo bestaat de inhoud uit een aantal stellingen (partijenfragmenten...). Bij elke stelling kan een zettenreeks aanwezig zijn. Daarnaast kan voor elke zet een variant aangegeven worden. Op die manier kan er een 'boom' van zettenreeksen gemaakt worden voor een stelling. Verder kan bij elke stelling (en bij zet) begeleidende tekst worden geschreven, en ook tussen zetten door. Zie ook de beschrijving van de editor voor meer informatie hierover.

## Hoofdmenu 

Het DigiDemoBord heeft een menu met opties, en die worden zichtbaar als je met de muis klikt op de menu knop (rechtsboven, drie horizontale steepjes) Dan wordt het menu zichtbaar, zoals afgebeeld in Fig. [2](#fig:main-menu).

![Figure 2: Menu wat verschijnt als je met de muis naar de menu knop gaat (rechts in de titelbalk).]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-menu.gif){: #fig:main-menu .align-center width="20%"}

De opties van het menu zijn:

-   ![Open bestand]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-open-file.gif){: #fig:main-open-file width="20%"}: open een bestand, zie ook  [Openen van bestand](#openen-van-bestand)
-   ![Sla bestand op]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-save-file.gif){: #fig:main-save-file width="20%"}: sla de huidige stellingen e.d. op, zie  [Opslaan in bestand](#opslaan-in-bestand)
-   ![Maak plaatje]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-screenshot.gif){: #fig:main-screenshot width="20%"}: maak een plaatje van de huidige stelling
-   ![Draai bord om]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-rotate-board.gif){: #fig:main-rotate-board width="20%"}: draai het bord om
-   ![Introductie]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-intro.gif){: #fig:main-intro width="20%"}: laat de introductie zien
-   ![Laat help zien]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-help.gif){: #fig:main-help width="20%"}: laat het help bestand zien
-   ![Verlaat volledig scherm]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-exit-fs.gif){: #fig:main-exit-fs width="20%"}: verlaat volledige scherm (of ga naar volledige scherm)
-   ![Afsluiten]({{site.baseurl}}/assets/ddb/screenshots//2.0/main-exit.gif){: #fig:main-exit width="20%"}: sluit het DigiDemoBord af

Verder is altijd een van de volgende knoppen nog zichtbaar in de titelbalk:

-   ![Naar presentatie scherm]({{site.baseurl}}/assets/ddb/screenshots//2.0/presenting.gif){: #fig:presenting width="4%"}: naar het presentatiescherm
-   ![Naar editor scherm]({{site.baseurl}}/assets/ddb/screenshots//2.0/editing.gif){: #fig:editing width="4%"}: naar het editor scherm

In de volgende hoofdstukken worden het presentatiescherm, het schaakbord en het editorscherm verder toegelicht.

# Presentatiescherm 

Fig. [1](#fig:start) laat zien hoe het DigiDemoBord eruit ziet na het opstarten. Je ziet dan het presentatiescherm: een 'kladblok' met tekst aan de linker kant, het schaakbord in het midden, en een paar knoppen rechts ervan.

DigiDemoBord kan nu gebruikt worden: je kan een stellingen maken door stukken te verslepen (op het bord, van de kant naar het bord, of van het bord af), je kan ook tekenen op het bord (pijlen en cirkels), en je kan de tekst aanpassen.

Het presentatiescherm bestaat uit de volgende onderdelen:

-   een titelbalk (met links een bestandsnaam, en rechts knoppen en een menuknop)
-   een 'status' deel (links, boven de dunne lijn)
-   een ruimte voor tekst (links, onder de dunne lijn)
-   een schaakbord in het midden
-   knoppen rechts van het schaakbord, zowel boven als (soms) onder
-   een balk aan de onderkant (hier verschijnen soms meldingen)

De bovenste rij knoppen (naast het schaakbord) is voor het maken van de beginopstelling, en het leeg maken van het bord. De rij knoppen eronder (naast de muispijl) is om aan te geven wat de linkermuisknop moet doen: stukken verplaatsen of tekenen op het bord, en in welke kleur getekend moet worden. De onderste rij knoppen (naast de blauwe cirkel) is voor de annotaties (pijlen en cirkels): de linkse knop is voor het verwijderen van de tekeningen, en de andere knop is om de tekeningen zichtbaar te maken, of te verbergen.

## Openen van een voorbeeld 

Je kan een bestand met partijen en/of stellingen laden. In de zip-file (en op de digidemobord website) staat een voorbeeld PGN bestand met een tweetal varianten van de [Saveedra stelling](https://www.schaaksite.nl/2010/12/03/eindspelstudie-11-saveedra/) en een partij van [Fischer en Byrne](https://www.chessgames.com/perl/chessgame?gid=1008419). Je kan dit bestand openen in het DigiDemoBord:

-   klik op het 'Open bestand' icoontje wat rechtsboven het schaakbord staat
-   selecteer met de explorer 'saavedra-byrne-fischer.pgn', en open dit bestand

Je kan het bestand ook openen door het vanuit een verkenner te slepen en te laten vallen op het presentatie-scherm. Als je iets op het DigiDemoBord sleept, zal de kleur veranderen, om aan te geven dat je iets kan laten vallen.

Als een bestand geladen is, Fig. [3](#fig:start-file) laat zien hoe het presentatiescherm er uit ziet na het laden van een bestand. De naam van het geladen bestand staat rechts bovenin, achter het 'Open bestand' icoon.

Behalve pgn-bestanden kan je ook de tekst (.txt) bestanden laden die met het DigiDemoBord gemaakt zijn, zie hiervoor de informatie over het editorscherm.

![Figure 3: Presentatiescherm na laden van een bestand.]({{site.baseurl}}/assets/ddb/screenshots//2.0/start-file.gif){: #fig:start-file .align-center width="80%"}

Na het laden van het bestand ziet het scherm er iets anders uit. Allereerst is de eerste stelling (partij) uit het bestand automatisch geselecteerd. Daarom zie je nu de stelling van Saavedra, want dat is de eerste stelling uit het bestand. Verder is het user interface ook veranderd: linksboven staat nu een beschrijving (naam) van een van de stellingen/partijen die geladen is, en rechts, naast het bord, zijn er meer knoppen bijgekomen. De linkse kolom met knoppen is om te bladeren door de stellingen/partijen, de middelste kolom is om door de zetten heen te lopen, en de rechtse kolom (twee knoppen) is om in en uit een variant te gaan.

De knoppen met pijlen omhoog gaan terug (twee pijlen is helemaal naar het begin, een pijl is een stap terug), en de pijlen naar beneden gaan vooruit. De middelste knop van de linker kolom (voor de stellingen) gaat terug naar de beginstand van de stelling, en de middelste knop van de middelste kolom (voor de zetten) gaat terug naar de stand na de laatste gespeelde zet (dus bijv. als je zelf nog stukken handmatig hebt verplaatst na de vorige zet). Deze knoppen worden hieronder verder uitgelegd.

## Knoppen naast het schaakbord: bord, muis en cirkels en pijlen

Rechtsboven naast het schaakbord zijn drie rijen met knoppen. Deze rijen zijn achtereenvolgens voor het bord, voor de muisinstelling, en voor de cirkels en pijlen die op het bord getekend zijn.

### Knoppen voor het bord 

![Knoppen voor het bord]({{site.baseurl}}/assets/ddb/screenshots//2.0/board-buttons.gif){: #fig:board-buttons width="12%"} Rechts van het kleine (lege) schaakbord zijn twee knoppen: de linkse (met vier zwarte stukken) zet de startopstelling op het bord, en de rechtse (met vier lege velden) maakt het bord leeg.

### Knoppen voor de muis 

![Knoppen voor de muis]({{site.baseurl}}/assets/ddb/screenshots//2.0/mouse-buttons.gif){: #fig:mouse-buttons width="12%"} Rechts van de zwarte pijl (muiscursor) zijn ook twee knoppen. Die zijn om aan te geven wat je met de linkermuisknop kan doen. Als de linkse button (met zwarte pion) 'aan' staat kan de linkermuisknop gebruikt worden voor het verplaatsen van stukken op het bord, als de rechtse (met een gekleurde cirkel) aan staat kan de linkermuisknop gebruikt worden voor het tekenen op het bord. De kleur van de cirkel geeft aan met welke kleur getekend kan worden, de kleur kan verandert worden door op deze knop te klikken.

### Knoppen voor cirkels en pijlen 

![Knoppen voor cirkels en pijlen]({{site.baseurl}}/assets/ddb/screenshots//2.0/anno-buttons.gif){: #fig:anno-buttons width="12%"} Rechts van de blauwe cirkel zijn twee knoppen: een prullenbak, en een oog (al dan niet met een streep erdoor). Door op de prullenbak te klikken worden alle cirkels en pijlen verwijderd. Door op het oog te klikken, verschijnt een 'dropdown' menu, met de opties om de annotaties te verbergen (oog met streep erdoor) of te laten zien (gewoon oog). Als je een cirkel of pijl gaat tekenen als de cirkels en pijlen verborgen zijn, worden die automatisch weer op 'laten zien' gezet. Zie ook  [Tekenen met de linkermuisknop](#tekenen-met-de-linkermuisknop) en  [Tekenen met de rechtermuisknop](#tekenen-met-de-rechtermuisknop) voor het tekenen van cirkels en pijlen op het bord.

## Knoppen naast het schaakbord: stellingen en zetten

Als de stellingenlijst niet leeg is, verschijnen er rechtsonder ook knoppen om door de stellingen en zetten heen te lopen. Er zijn twee kolommen met knoppen: de linkse kolom is voor het lopen door de stellinglijst, en de rechtse kolom is voor het lopen door de zetten die bij de stelling horen.

### Knoppen voor stellingen 

Voor de linkse kolom zijn er de volgende knoppen (van boven naar onder):

![naar begin]({{site.baseurl}}/assets/ddb/screenshots//2.0/two-up.gif){: #fig:two-up-pos width="4%"} ga naar de eerste stelling,

![een terug]({{site.baseurl}}/assets/ddb/screenshots//2.0/one-up.gif){: #fig:one-up-pos width="4%"} ga een stelling terug,

![reset]({{site.baseurl}}/assets/ddb/screenshots//2.0/reset-position.gif){: #fig:reset-pos width="4%"} ga terug naar de huidige stelling (voordat een zet gedaan is), als je bijv. stukken hebt verplaatst

![een vooruit]({{site.baseurl}}/assets/ddb/screenshots//2.0/one-down.gif){: #fig:one-down-pos width="4%"} ga naar de volgende stelling,

![naar eind]({{site.baseurl}}/assets/ddb/screenshots//2.0/two-down.gif){: #fig:two-down-pos width="4%"} ga naar de laatste stelling.

Als een andere stelling geselecteerd wordt, worden automatisch alle cirkels en pijlen die getekend waren verwijderd.

### Knoppen voor zetten en varianten 

Op dezelfde manier zijn er vijf knoppen voor de zetten en varianten. Of het om zetten of varianten gaat, is te zien aan de middelste knop: als het een rondje is, gaat het om zetten, als het een splitsing is, gaat het om varianten (zie ook plaatjes hieronder).

![naar begin]({{site.baseurl}}/assets/ddb/screenshots//2.0/two-up.gif){: #fig:two-up-move width="4%"} ga naar de stelling voor de eerste zet (of ga na de eerste variant voor de huidige zet)

![een terug]({{site.baseurl}}/assets/ddb/screenshots//2.0/one-up.gif){: #fig:one-up-move width="4%"} ga een zet terug (of ga na de vorige variant voor de huidige zet),

![reset zet]({{site.baseurl}}/assets/ddb/screenshots//2.0/reset-move.gif){: #fig:reset-move width="4%"} ![reset variant]({{site.baseurl}}/assets/ddb/screenshots//2.0/reset-variant.gif){: #fig:reset-variant width="4%"} ga terug naar de stelling na de huidige zet (als je bijv. stukken hebt verplaatst), of naar de stelling van de variant

![een vooruit]({{site.baseurl}}/assets/ddb/screenshots//2.0/one-down.gif){: #fig:one-down-move width="4%"} doe de volgende zet (of: doe de eerste zet in een stelling) (of ga naar de volgende variant),

![naar eind]({{site.baseurl}}/assets/ddb/screenshots//2.0/two-down.gif){: #fig:two-down-move width="4%"} ga naar de stelling na de laatste zet (of ga naar de laatste variant).

In de rechtse kolom staan nog twee knoppen die te maken hebben met varianten:

![ga variant in]({{site.baseurl}}/assets/ddb/screenshots//2.0/in-variant.gif){: #fig:in-variant width="4%"} ga een variant in (dus: ga naar de zettenreeks die bij deze variant hoort)

![verlaat variant]({{site.baseurl}}/assets/ddb/screenshots//2.0/out-variant.gif){: #fig:out-variant width="4%"} verlaat variant (dus: verlaat de zettenreeks, waarna je de mogelijkheid hebt om een andere variant te kiezen)

Niet altijd zijn alle knoppen bruikbaar: de knoppen die niet relevant zijn, zijn lichter afgebeeld.

Als je een zet uitvoert op het bord (door een stuk te verplaatsen) die 'toevallig' overkomt met de volgende (of vorige) zet in de zettenlijst, dan zal het DigiDemoBord aannemen dat je die zet wilde spelen, en de 'huidige' zet automatisch aanpassen.

## Stelling informatie en zoeken van stellingen 

Als er stellingen gemaakt of geladen zijn, dan staat de naam van de huidige stelling in het status-informatie deel (links boven in hetpresentatiescherm). Als er een zet gespeeld is, staat daar ook wat de laatst gespeelde zet is (en als je in een variant bent, staat die informatie daar ook. )

![Figure 4: Stellingnaam linksboven in presentatiescherm]({{site.baseurl}}/assets/ddb/screenshots//2.0/status-info.gif){: #fig:status-info .align-center width="60%"}

Als de stelling handmatig verandert is (zetten handmatig uitgevoerd, of stukken op het bord gezet, of ervan af gehaald), zal deze informatie in een lichtere kleur worden afgebeeld. Hieraan kan je dus zien dat de stelling niet precies overeenkomt met de stellingnaam en zet. As de handmatige verplaatsing van een stuk overeenkomt met de volgende (of vorige) zet uit de zettenlijst, wordt aangenomen dat deze zet gespeeld is. De zetinformatie wordt dan aangepast, en de stellingnaam blijft zwart.

![Figure 5: Stelling zoeken op naam]({{site.baseurl}}/assets/ddb/screenshots//2.0/position-search.gif){: #fig:position-search .align-center width="80%"}

In de titelbalk staat links een vergrootglasknop, zie fig. [2](#fig:main-menu). Dit is de knop om te zoeken naar stellingen (als je veel stellingen geladen hebt). Als je op deze knop klikt, verschijnt er een tekstinvoervak. Zodra je daar letters typt, verschijnen alle stellingen met een naam die (deels) overeenkomt met de letters die getyped zijn, zie fig. [5](#fig:position-search). Je kan dan een van deze stellingen kiezen door er met de pijltjestoetsen doorheen te gaan, of nog meer letters typen. Daarna kan je met 'Enter' uiteindelijk een stelling kiezen.

De tekstinvoer voor het zoeken naar stellingen met een naam werkt als volgt:

-   letters typen (of weghalen): de lijst met stellingen/zetten die overeenkomen wordt aangepast
-   'Enter' als er niets in ingetyped, of een niet bestaande stellingnaam: het zoeken wordt gestopt (en niets geselecteerd)
-   'Enter' als er een bestaande stellingnaam in het vak staat: die wordt geselecteerd,
-   'Esc': het zoeken wordt gestopt, er wordt niets geselecteerd.

Als er meerdere stellingen zijn met dezelfde naam, zal altijd de *eerste* stelling met een juiste naam gekozen worden. Het is daarom handig om geen stellingen met dezelfde naam te gebruiken.

## Kladblok en schoolbord 

Links van het bord is ook ruimte om zelf tekst te schrijven. Dit is het kladblok (of schoolbord), en kan je vergelijken met een dia uit een PowerPoint.

![Figure 6: Dia/kladblok/schoolbord links van het schaakbord]({{site.baseurl}}/assets/ddb/screenshots//2.0/kladblok.gif){: #fig:kladblok .align-center width="70%"}

Als je het DigiDemoBord opstart, ziet het kladblok er ongeveer uit zoals in fig. [6](#fig:kladblok). Het kladblok kan gebruikt worden om tekst in te typen (zoals schrijven op een schoolbord). Je kan gewoon tekst typen, maar ook tekst vet (bold) maken, met Ctrl+B, of schuin (italics), met Ctrl+I, net zoals bijv. in Word of andere editors. Als je tekst aanpast in presentatie-mode, wordt die tekst niet bewaard. Dus als je naar een volgende zet gaat, en weer terug, dan zijn de wijzigingen verdwenen. Wijzigingen gedaan in editor-mode blijven wel bewaard.

Je kan eenvoudig schaakstuk symbolen in het kladblok krijgen, door eerst de kleur (w of z) in een kleine letter, en dan het stuk met een hoofdletter (K, D, L, P, T). Voor een pion gebruik je de kleine p. Dus zK wordt een zwarte koning, en wL een witte loper. Als je dit typt, wordt automatisch de tekst vervangen door het juiste symbool. Als je in de tekst deze letters achter elkaar nodig hebt (bijv. zK), dan kan je bijv. eerst een spatie tussen de z en de K typen, en die daarna weghalen. Dan wordt zK niet vervangen door het symbool van de zwarte koning.

# Schaakbord 

## Stukken 

Stukken kunnen van boven of onder het bord op het bord gesleept worden om een opstelling te maken. Slepen gebeurt door de linkermuisknop ingedrukt te houden, terwijl de muis beweegt, of op een touch-screen door te vegen over het bord. Stukken kunnen ook van het bord af gesleept worden om ze van het bord te verwijderen. Verder kunnen stukken verplaatst worden om een stelling aan te passen, of om zetten uit te voeren. Als een stuk gesleept wordt naar een veld waar al een stuk staat, zal het stuk wat er al staat van het bord verdwijnen (alsof het geslagen is).

## Stellingen en zetten 

Voor stellingen en zetten in het DigiDemoBord geldt:

-   het schaakbord kan onmogelijke stellingen laten zien, zoals bijv. een stelling zonder koningen, of met twee witte koningen, of met een witte en zwarte koning naast elkaar, of met pionnen op de 1ste of 8ste rij; in sommige vallen zal een zet in een illegale stelling (bijv. met ontbrekende koning) als illegaal gezien worden

-   stukken kunnen willekeurig verplaatst worden, er wordt niet gekeken of de verplaatsing een goede (legale) zet is; wel is het zo dat zetten die opgeslagen worden (of ingelezen worden) gechecked worden, en illegale zetten hebben een andere kleur;

-   als een stuk verplaatst wordt, en dat zou een bijzondere zet kunnen zijn (rokade / en-passent slaan / promotie), dan zal het schaakbord de complete zet uitvoeren. Bijvoorbeeld bij:

    -   Ke1-g1: als er een toren op h1 staat, zal die dan automatisch naar f1 verplaatst worden (als de velden tussen de koning en de toren leeg zijn)
    -   e7-e8: de pion op e8 wordt automatisch vervangen door een dame (voor minor-promotie kan je een ander stuk naar het promotieveld slepen);
    -   e5-d6: als er op d5 een zwarte pion staat, en op d6 geen stuk, dan zal dit gezien worden als en-passent slaan, en zal de zwarte pion van d5 automatisch weggehaald worden.

## Tekenen op het bord 

Er kan 'getekend' worden op het schaakbord. Velden kunnen gemarkeerd worden met een cirkel, en er kunnen pijlen van een veld naar een ander veld getekend worden. Een voorbeeld hiervan is te zien in fig. [7](#fig:annotaties).

![Figure 7: Annotaties met pijlen en cirkels.]({{site.baseurl}}/assets/ddb/screenshots//annotaties.gif){: #fig:annotaties .align-center width="50%"}

Tekenen op het scherm kan op twee manieren: met de linkermuisknop (en op het touchscreen), of met de rechtermuisknop (werkt niet op touchscreens).

### Tekenen met de linkermuisknop 

Met de linkermuisknop (en door te slepen / klikken op het touchscreen) kan je stukken verplaatsen. Als je pijlen en cirkels wil tekenen, moet je in 'annotatie-modus' zijn. Dit ben je als de eerste knop in de tweede rij van de knoppen (zie ook  [Knoppen voor de muis](#knoppen-voor-de-muis)) een gekleurde cirkel laat zien. De eerste knop rechts van de muis aanwijzer (tweede rij knoppen) kan een ook zwarte pion zijn, dan kan de linkermuisknop gebruikt worden voor het verplaatsen van stukken.

In annotatie-modus kan je pijlen tekenen door te slepen (van start- naar eindveld), en cirkels teken je door te klikken op een veld.

Het vak helemaal rechts op de tweede rij geeft de (huidige) tekenkleur aan. Als je erop klikt, kun je een andere kleur kiezen. Daarnaast is er nog een andere manier om in een andere kleur te tekenen. Met de muis gaat dat door de Ctrl, Shift of Alt toets in te drukken tijdens het tekenen (de toets die ingedrukt is op het moment dat de muis niet meer ingedrukt wordt), en op een touchscreen gaat dat door extra vingers op het touchscreen te plaatsen:

-   geen Ctrl/Shift/Alt / geen extra vingers: kleur van de knop met de cirkel
-   Alt ingedrukt / een extra vinger: geel
-   Shift ingedrukt / twee extra vingers: rood
-   Ctrl ingedrukt / drie extra vingers: groen

De extra vingers hoeven niet in de buurt van de annotatie te zijn, maar ze moeten wel tijdens de hele annotatie op het scherm blijven. Als je een van de vingers eerder van het scherm haalt, kan het zijn dat het tekenen van de pijl niet goed gaat.

Het verwijderen van een enkele cirkel of pijl kan gedaan worden door deze opnieuw te tekenen (dus: klikken op een veld met een cirkel zal de cirkel verwijderen, en slepen voor een pijl).

### Tekenen met de rechtermuisknop 

Met de muis kan ook de rechtermuisknop gebruikt worden om te tekenen. Klikken met de rechtermuisknop resulteert in een cirkel op het geklikte veld. Slepen met de rechtermuisknop geeft een pijl van het start- naar het eindveld. Hier geldt hetzelfde systeem voor toetsen en kleuren.

### Acties op alle cirkels en pijlen

Met de twee knoppen naast de blauwe cirkel (zie ook  [Knoppen voor cirkels en pijlen](#knoppen-voor-cirkels-en-pijlen)) naast het bord kan je 1) alle cirkels en pijlen weggooien (prullenbak), of de cirkels en pijlen verbergen (het oog wordt een oog met streep erdoor) of weer laten zien (het oog met een streep erdoor wordt weer een normaal oog). Als de cirkels en pijlen verborgen zijn, zullen ze verschijnen zodra je begint met tekenen van een nieuwe cirkel of pijl.

## Wie is aan de beurt 

Rechts naast het bord (of links, als zwart onder staat) is met een cirkel aangegeven wie er aan zet is: wit (een doorzichtige cirkel aan de kant van wit), of zwart (een zwarte cirkel, aan de kant van zwart). Als je, bijv. na het opzetten van een stelling, wilt aanpassen wie aan zet is, kan je klikken op de cirkel, dan wordt de andere kleur de kleur die aan zet is.

# DigiDemoBord Editor 

Het is mogelijk om via het DigiDemoBord van te voren stellingen, zettenreeks en teksten voor het kladblok (dia's) in te voeren en op te slaan, en deze later weer te gebruiken. Hiervoor is het 'Editor' scherm nodig. Je kan naar het 'Editor' scherm gaan via de knop hiervoor rechtsboven in de titelbalk (en terug naar het presentatiescherm met dezelfde knop). Fig. [8](#fig:editor) laat het 'Editor' scherm zien, nadat het voorbeeldbestand saavedra-byrne-fischer.ddb geladen is.

![Figure 8: Editorscherm]({{site.baseurl}}/assets/ddb/screenshots//2.0/editor.gif){: #fig:editor .align-center width="80%"}

Het 'Editor' scherm bevat (een kleine kopie van) het presentatiescherm. Links daarvan staan alle (geladen) stellingen en bijbehorende zettenreeksen, dus alles wat je kan laten zien op het presentatiescherm. Boven het presentatiescherm met het schaakbord is een deel wat gebruikt kan worden voor het kladblok/dia's (links boven het presentatiescherm) en om stellingen eenvoudig in te voeren (rechts boven het scherm). Hieronder wordt uitgelegd hoe je stellingen en zetten kan toevoegen.

## Lijst met stellingen, zetten en dias 

Links in het editorscherm staat de lijst met stellingen (met of zonder zetten) en/of dias geladen of ingevoerd zijn. Als voor een stellingnaam een driehoekje staat, kan je daarop klikken, en dan zie je welke zetten (en/of dia's) bij de stelling horen. Hetzelfde geldt voor zetten met een driehoekje daarvoor: als je daarop klikt zie je de varianten voor die zet.

De knoppen boven deze lijst hebben de volgende functie:

![Voeg toe]({{site.baseurl}}/assets/ddb/screenshots//2.0/add.gif){: #fig:add width="4%"}: voeg iets toe aan de lijst met stellingen. Na klikken op deze knop krijg je een lijst te zien met knoppen, voor het toevoegen van stellingen, varianten of een dia (niet voor zetten, zetten worden toegevoegd via de record knop)

![Record]({{site.baseurl}}/assets/ddb/screenshots//2.0/record.gif){: #fig:record width="4%"}: record knop; als de record knop ingedrukt is, worden de zetten die op het bord gedaan wordt, opgeslagen in de lijst

![Alles dicht]({{site.baseurl}}/assets/ddb/screenshots//2.0/closed-book.gif){: #fig:close-all width="4%"}: sluit alle lijsten met zetten en varianten, zodat alleen de stellingnamen zichtbaar zijn

![Alles open]({{site.baseurl}}/assets/ddb/screenshots//2.0/open-book.gif){: #fig:open-all width="4%"}: opent alle lijsten met zetten en varianten, zodat alle zetten zichtbaar zijn

![Verwijder]({{site.baseurl}}/assets/ddb/screenshots//2.0/trashcan.gif){: #fig:thrash-can width="4%"}: gooit alle geselecteerde stellingen/zetten/varianten weg. Selecteren kan door klikken, en klikken met Ctrl (selecteert of deselecteert), en met Shift (selecteert alles tussen geklikte en vorige geklikte)

Fig. [9](#fig:tree-open-and-closed) laat de lijst zien, waarbij de eerste stelling is 'opengeklapt' (alle zetten zichtbaar), en ook de variant Kb7 is opengeklapt (ook daarvan zijn de zetten zichtbaar). Stellingen of varianten die opengeklapt zijn, hebben een zwarte driehoek die naar linksonder wijst, stellingen of varianten die nog opengeklapt kunnen worden, hebben een lichte driehoek die naar rechts wijst.

Als een PGN bestand geladen wordt, zijn de Tags ook deel van de lijst. Deze tags kan je bekijken en wijzigen, maar ze spelen verder geen rol in het DigiDemoBord.

![Figure 9: Lijst met stelling van Saavedra opengeklapt, en ook de variant Kb7 opengeklapt]({{site.baseurl}}/assets/ddb/screenshots//2.0/tree-open-and-closed.gif){: #fig:tree-open-and-closed .align-center width="40%"}

Hieronder wordt uitgelegd hoe stellingen en zetten ingevoerd kunnen worden, hoe ze gewijzigd en verwijderd kunnen worden, en hoe deze kunnen worden opgeslagen in een bestand.

## Stellingen toevoegen 

Een stelling toevoegen kan in twee stappen

-   zet de stelling op het bord.
-   voeg de stelling toe aan de lijst

![Figure 10: Stellingen invoeren]({{site.baseurl}}/assets/ddb/screenshots//2.0/make-positions.gif){: #fig:make-positions .align-center width="50%"}

Voor het invoeren van een stelling in het DigiDemoBord zet je eerst de juiste stelling op het bord. Dat kan door de stukken op het bord te slepen, of door een van de tekstinvoeren rechtsboven te gebruiken, zie fig. [10](#fig:make-positions). Deze geven de mogelijkheid om:

-   een FEN in te voeren (na Enter wordt de stelling van de FEN op het bord gezet)
-   de zwarte stukken in te voeren (bijv. Ta8 a7 b6 Te8 Kg8 f7 g7 h6), na Enter worden deze stukken aan het bord toegevoegd; als je een een letter voor een stuk invoert, wordt dat vervangen door het juiste symbool.
-   de witte stukken in te voeren (gaat net zoals de zwarte stukken)

Als je op de knop met Retrun symbool rechts van de tekstinvoer klikt, wordt de informatie van het bord in de tekstinvoer gezet.

![Voeg stelling toe]({{site.baseurl}}/assets/ddb/screenshots//2.0/reset-position.gif){: #fig:add-position width="4%"}: Je kan vervolgens de stelling toevoegen door op de plus-knop linksboven te klikken, en dan de knop met positie (map symbool) te kiezen. De nieuwe stelling wordt toegevoegd aan de lijst (na de huidige geselecteerde stelling). Daarna kan je een naam invoeren voor de de stelling.

## Zettten toevoegen 

Bij elke stelling / positie kunnen zetten toegevoegd worden. Selecteer hiervoor stelling, en klik op de 'record' knop (rode knop links boven). Elke zet die je dan uitvoert op het schaakbord zal toegevoegd worden aan de stelling. Je kan de 'record' knop ook weer uitzetten door er op te klikken.

Er wordt niet gecontroleerd of de uitgevoerde zetten legale schaakzetten zijn. Een paard als een toren verplaatsen is mogelijk, en zo'n zet kan ingevoerd, en later weer gespeeld worden. Het toevoegen of verwijderen van stukken wordt niet als een zet gezien.

In een paar gevallen zal een bijzondere zet herkend worden:

-   rokade: als de koning twee posities naar links of rechts opschuift, en de betreffende toren staat op zijn plaats, dan zal een rokade worden uitgevoerd (als de tussenliggende velden leeg zijn).
-   en passent slaan: als een pion op de vijfde rij schuin gaat naar een leeg veld, en de tegenpartij heeft een pion op de vijfde rij achter de nieuwe positie van de pion staan, dan wordt een en passent slag aangenomen, en wordt de pion van de tegenstander automatisch van het bord verwijderd.
-   promotie: als een pion aan de overkant aankomt, zal de pion automatisch door een dame vervangen worden. Als je een minor-promotie wil, moet je daarna het betreffende stuk gelijk na deze zet op de dame slepen, dan wordt de zet aangepast en gezien als een minor-promotie.

Elke zet die gedaan wordt op het bord als 'record' aan staat, wordt toegevoegd aan de zettenlijst. Elke nieuwe zet wordt toegevoegd in de lijst met stellingen.

Ook illegale zetten kunnen worden gedaan, en opgeslagen. Deze zetten zullen wel in een andere kleur in de lijst staan, zodat het duidelijk is welke zetten niet legaal zijn.

## Variant toevoegen 

Je kan een variant voor een zet toevoegen. Dat gaat als volgt. Selecteer eerst de stelling, waarbij de zet waar een alternatief (een variant) voor toegevoegd moet worden, net gespeeld is.

![Voeg variant toe]({{site.baseurl}}/assets/ddb/screenshots//2.0/reset-variant.gif){: #fig:add-variant width="4%"} Gebruik de variant knop onder de toevoegen dropdown om een variant toe te voegen. Vervolgens kan je, met de record knop (zie hierboven) zetten toevoegen aan de variant.

## Stellingen of zetten verwijderen 

Je kan stellingen (of zetten) verwijderen door deze te selecteren (er op klikken) in de stellingen lijst, en dan te verwijderen door op de knop met de vuilnisbak te klikken. Stellingen kunnen geselecteerd worden door er op te klikken. Meerdere stellingen kunnen geselecteerd worden door Ctrl of Shift te gebruiken: met Ctrl selecteer je een extra stelling , of haal je een al geselecteerde stelling uit de selectie. Met Shift selecteer je alle stellingen tussen de vorige geklikte en de stelling die je nu klikt. Zetten verwijderen gaat helemaal op dezelfde manier.

Als je zetten verwijdert, kan het zijn dat de volgende zetten niet meer kloppen. Deze zetten kunnen dan niet uitgevoerd worden. Deze 'illegale' of onmogelijke zetten zullen niet automatisch verwijderd worden. Wel zullen illegale zetten in een andere kleur worden aangegeven.

## Stellingen in de lijst aanpassen 

Je kan de naam van een stelling, of de stelling op het bord van een al eerder ingevoerde stelling, veranderen. Dat gaat door eerst de stelling te selecteren in de lijst (dan wordt die stelling ook op het bord gezet), dan evt. de stelling aan te passen, en dan te dubbel-klikken op de stelling. Dan wordt de stelling in de lijst aangepast aan de huidige stelling op het bord, en dan kan ook de naam aangepast worden. (Als je dubbel-klikt zonder eerst de stelling in de lijst geselecteerd te hebben, kan je wel de naam aanpassen, maar niet de positie van de stukken op het bord).

## Dias bij stellingen en zetten 

Bij elke stelling en zet kan je een dia maken (dus: tekst in het kladblok of schoolbord zetten). Er zijn drie mogelijkheden voor een dia bij een zet of stelling, en dit kan gekozen worden door op de knop rechtsboven van het dia-gedeelte te klikken (zie fig. [11](#fig:slide-editor)):

![Figure 11: Dia editor]({{site.baseurl}}/assets/ddb/screenshots//2.0/slide-editor.gif){: #fig:slide-editor .align-center width="80%"}

![Geen dia]({{site.baseurl}}/assets/ddb/screenshots//2.0/no-slide.gif){: #fig:no-slide width="4%"}: geen dia

![Normale dia]({{site.baseurl}}/assets/ddb/screenshots//2.0/normal-slide.gif){: #fig:normal-slide width="4%"}: normale dia, d.w.z. een dia links van het bord

![Link dia]({{site.baseurl}}/assets/ddb/screenshots//2.0/link-slide.gif){: #fig:link-slide width="4%"}: link dia, dan is de dia gelinked aan de vorige dia (dus identiek aan de vorige dia); als je dan de huidige (of de vorige) dia aanpast, verandert de andere dia ook. Dit is handig als je een dia tijdens meerdere zetten wilt gebruiken.

In het dia-gedeelte zijn ook knoppen om tekst die in de dia getypt is er anders uit te laten zien (groter, kleiner, bold, italics etc.). Dit werkt net zoals bijv. Word: je kan tekst selecteren, en dan de knoppen van het dia-gedeelte gebruiken om de tekst er anders uit te laten zien, maar je kan ook eerst het tekstformaat selecteren, en dan typen in de dia.

Alle wijzigingen van de dias die gedaan worden in het editorscherm worden gelijk bewaard in het DigiDemoBord. (Je kan ook tekst aanpassen in de dia als je aan het presenteren bent, maar die wijzigingen worden niet bewaard; als je dan naar een volgende dia gaat, en dan weer terug, zijn alle aanpassingen verdwenen.)

## Dias zonder stellingen en zetten 

![Voeg dia toe]({{site.baseurl}}/assets/ddb/screenshots//2.0/normal-slide.gif){: #fig:add-slide width="4%"} Het is ook mogelijk om losse dias te maken, zonder stellingen of zetten. Dat is bijv. handig als je bij dezelfde zet/stellingen meerdere dias na elkaar wilt laten zien. Je kan zo'n losse dia maken met de plus-knop linksboven de lijst met stellingen, en dan het dia symbool (vierkant met verticale streep in het midden) te klikken.

![Volledige scherm dia]({{site.baseurl}}/assets/ddb/screenshots//2.0/fullscreen-slide.gif){: #fig:fullscreen-slide width="4%"}: Naast de mogelijkheden die een dia bij een stelling of zet heeft, kan een losse dia ook het hele scherm vullen (dus zonder een bord zichtbaar). Deze optie staat in de lijst met dia-mogelijkheden, en is alleen beschikbaar voor losse dia's (los van een stelling of zet).

## Verwijderen uit DigiDemoBord 

![Verwijderen]({{site.baseurl}}/assets/ddb/screenshots//2.0/trashcan.gif){: #fig:trashcan width="4%"} Je kan stellingen, zetten, varianten en dias weer verwijderen uit het DigiDemoBord. Hiervoor moet je eerst selecteren wat je wilt verwijderen (klikken, meerdere selecteren gaat via Ctrl+klik, of Shift+klik). Verwijderen gaat daarna door het klikken op de prullenbak rechtsboven de lijst met stellingen. Bij het verwijderen is het goed het volgende te weten:

-   als je een stellingen (of variant) verwijdert, verwijder je automatisch alles wat bij die stelling (of variant) hoort.
-   door het verwijderen van zetten, kan het zijn dat latere zetten uit de reeks illegaal worden. Dit wordt gechecked, en illegale zetten krijgen een andere kleur, maar ze blijven verder gewoon bestaan.
-   er is (nog) geen Undo voor het verwijderen. Weet dus wat je doet als je iets weggooit.

# Bestanden, slepen en plakken 

Het DigiDemoBord kan de ingevoerde informatie opslaan in een eigen bestandsformaat (.ddb). Het kan deze ook weer inlezen, en het kan ook PGN (Portable Game Notation, .pgn) bestanden inlezen, en ook tekst-bestanden (.txt) uit de DigiDemoBord 1.x versies.

## Opslaan in bestand 

Stellingen, zettenreeksen, varianten en dias die ingevoerd zijn, kunnen naar een bestand geschreven worden. Later kunnen ze dan weer uit dit bestand gelezen worden. Dit opslaan gaat via de optie 'Sla bestand op' uit het hoofdmenu. Het bestand krijgt de naam 'stellingen-DATUM-TIJD.ddb' (of een vergelijkbare naam). Hierbij is DATUM en TIJD de huidige datum en het tijdstip van opslaan. Door deze naam is de kans klein dat je een bestaand bestand overschrijft, en je kan later terugzien wanneer je het bestand gemaakt hebt. Als je een bestand geladen hebt met een DATUM en TIJD in de bestandsnaam zoals hierboven, dat wordt bij het opslaan de DATUM en TIJD in de bestandsnaam vervangen door de huidige datum en tijd. Het is verstandig om dit bestand uiteindelijk een goede naam te geven. Het is goed om hierbij de extensie (.ddb) van de bestandsnaam niet aan te passen. Het is ook mogelijk je browser zo in te stellen dat de browser je de gelegenheid geeft de bestandsnaam (en map waar het bestand wordt opgslagen) aan te passen, zie eind van dit document.

## Openen van bestand 

Een bestand met stellingen, zettenreeksen, varianten en dias kan weer geopend worden in het DigiDemoBord. Dit gaat via de optie 'Open bestand' uit het hoofdmenu. Na klikken op deze optie wordt (bij Windows) een Verkenner geopend. Blader naar het juiste bestand (wat eerder opgeslagen is), en selecteer/open dat bestand. Er kan meer dan een bestand geselecteerd worden, in dat geval zullen alle bestanden na elkaar geopend worden, en toegevoegd aan de inhoud van het DigiDemoBord.

Als er een (of meerdere) bestanden geladen worden, zullen eerst de bestaande stellingen en zetten verwijderd worden. Zie de volgende sectie over hoe je bestanden kan toevoegen aan de huidige stellingen en zetten.

Bij het laden wordt nu nog niet veel gecontroleerd (bijvoorbeeld of het bestand echt stellingen heeft). Het laden van een verkeerd bestand kan ervoor zorgen dat het DigiDemoBord niet meer werkt. Opnieuw opstarten van het DigiDemoBord (bijv. met F5) is dan de oplossing.

Naast het laden van bestanden die eerder met het DigiDemoBord gemaakt zijn, kan je ook PGN bestanden inlezen. Het laden van een groot PGN bestand kan lang duren, maar zodra de eerste partij geladen is, kan de partij al afgespeeld worden.

## Openen van bestanden via slepen en laten vallen (drag-and-drop)

Bestanden kunnen ook geopend worden door ze (vanuit de verkenner) te slepen en op het presentatie-scherm deel van het DigiDemoBord te laten vallen. Dit geldt voor zowel DigiDemoBord bestanden als PGN bestanden. Als er meerdere bestanden tegelijk naar het DigiDemoBord gesleept worden, zullen ze allemaal geopend worden. Als je een bestand sleept naar het DigiDemoBord (presentatiescherm deel), zal het presentatiescherm bruin worden, en staat er 'Laat de bestanden hier vallen...'. Als die tekst er staat, kan je de muisknop loslaten.

Bij het slepen van bestanden naar het DigiDemoBord worden, voor het openen, eerst de huidige stellingen en zetten verwijderd. Dit kan voorkomen worden door de Ctrl-toets ingedrukt te houden als je de bestanden laat 'vallen'. In dat geval zal de inhoud van de bestanden toegevoegd worden aan de stellingen en zetten die al aanwezig zijn in het DigiDemoBord.

## Laden van stellingen en zetten via plakken

Je kan een stelling (FEN) of een (of meerdere) partijen in PGN notatie snel invoeren door ze te 'plakken' (Ctrl+V). Selecteer eerst (in een ander programma, of op een internet pagina) een FEN of een of meerdere partijen, gebruik Ctrl+C om het te kopieren, ga naar het DigiDemoBord, en klik op het schaakbord om dat te selecteren, en gebruik dan Ctrl+V.

Wat er gebeurt in het DigiDemoBord hangt af van wat voor tekst 'geplakt' wordt:

-   een FEN (alleen de informatie over de stelling wordt gebruikt), de stelling wordt op het bord gezet, maar niet toegevoegd aan de lijst met stellingen;
-   een PGN (met een of meerdere partijen): de partijen worden toegevoegd aan de lijst met stellingen en zetten.

In plaats van een volledige PGN, kan je ook alleen de zettenreeks (zonder de tags) op deze manier invoeren.

# Gebruik je Browser! 

Het DigiDemoBord werkt via je browser. Dat betekent dat ook allerlei opties van de browser gebruikt kunnen worden. De volgende opties zijn bijvoorbeeld beschikbaar voor Firefox:

-   Ctrl - : zoom in
-   Ctrl + : zoom out
-   Ctrl 0 : reset zoom
-   F11 : wisselen tussen volledige scherm en een window (het DigiDemoBord heeft ook een knop hiervoor, deze is *niet* te gebruiken met F11: als je met F11 naar het volledige scherm gaat, dan moet je met 'Esc' weer terug; als je de DigiDemoBord knop gebruikt, moet je ook de DigiDemoBord knop gebruiken om weer terug te gaan)
-   F5 : opnieuw opstarten van het DigiDemoBord (de stellingen en zettenlijst worden dan ook leeggemaakt!)

De zoom opties hebben alleen effect voor de knoppen en tekst e.d., het schaakbord zelf zal altijd zo groot mogelijk blijven.

Voor het opslaan van de zetten in een bestand wordt de 'download' functie van de browser gebruikt. Normaal gesproken worden het bestand dan in een standaard map ('Download') opgeslagen. In de instellingen van je browser kan je aangeven dat je wil dat de browser ook vraagt om de map waar het bestand moet worden opgeslagen. (In Firefox: selecteer het menu (de drie horizontale streepjes rechtsboven), kies 'Opties' uit het menu, en zorg dan dat, bij Bestanden en Toepassingen 'Vraag altijd waar bestanden op te slaan' aangevinkt is.) Als je browser dan om een map vraagt, kan je ook gelijk de naam van het bestand aanpassen.

# Handig om te weten

Hieronder volgen wat zaken die goed zijn om te weten, ook als het niet de hele handleiding leest.

-   je kan door het intypen van 'Ctrl+E' in het editorscherm het bord leegmaken, en de cursor in het deel voor zwarte stukken zetten (zie  [Stellingen toevoegen](#stellingen-toevoegen)), dit kan handig zijn als je met name het toetsenbord wilt gebruiken voor het invoeren van stellingen;
-   je kan met de rechtermuisknop pijlen en cirkels tekenen (zie  [Tekenen met de rechtermuisknop](#tekenen-met-de-rechtermuisknop))
-   je kan de kleur van de pijlen en cirkels aangeven door de Ctrl, Shift of Alt toets in te drukken tijdens het tekenen (zie  [Tekenen met de linkermuisknop](#tekenen-met-de-linkermuisknop));
-   op een touchscreen kan je de kleur van de pijl of cirkel die je aan het tekenen bent, veranderen door meer vingers op het touchscreen te houden (zie  [Tekenen met de linkermuisknop](#tekenen-met-de-linkermuisknop));
-   je kan een pijl of cirkel weer weghalen door hem nog een keer te tekenen (de kleur is hier niet van belang);
-   je kan PGN bestanden en bestanden aangemaakt met het DigiDemoBord laden;
-   je kan bestanden laden door ze op het presentatie-deel van het scherm te slepen;
-   je kan een FEN 'plakken' in het DigiDemoBord (op het schaakbord) om een stelling op te zetten
-   je kan een partij in PGN notatie 'plakken' in het DigiDemoBord (op het schaakbord) om die partij aan de lijst toe te voegen;
-   je kan geen PGN bestanden opslaan met het DigiDemoBord.
-   je kan illegale zetten invoeren; deze zetten hebben een afwijkende kleur in de lijst

# Gebruikte software

Velen stellen hun code en gereedschappen gratis ter beschikking aan anderen, daar is dankbaar gebruik van gemaakt. Zonder de onderstaande had DigiDemoBord niet geweest wat het nu is:

-   Het DigiDemoBord is gebaseerd op de javascript chessboard module van Chris Oakman (chessboard-1.0.0.js van [chessboardjs.com](http://chessboardjs.com)).
-   Aan deze module is de annotatie-code toegevoegd (initieel gebaseerd op een fork van [chessboard-0.3.0 door Raneku](http://github.com/raneku/chessboardjs)).
-   Verder wordt jQuery gebruikt (jQuery-1-12.4.js), en jQuery UI (jquery-ui-1.12.1.js).
-   Voor het inlezen van PGN files is gebruik gemaakt van de [pgn-parser van mliebelt](http://github.com/mliebelt/pgn-parser),
-   en de javascript module [chess.js van jhlywa](https://github.com/jhlywa/chess.js) wordt o.a. gebruikt om te checken of zetten legaal zijn.
-   Voor het kladblok/schoolbord is [Quill](https://quilljs.com) gebruikt.
-   Voor de compressie van ddb-bestanden is [lz-string.js](https://github.com/pieroxy/lz-string) gebruikt.
-   Voor het maken van een plaatje van het schaakbord is [dom-to-image](https://github.com/tsayen/dom-to-image) gebruikt.
-   Voor de icons in het user interface zijn de [feathericons](http://feathericons.com) gebruikt.

Voor het maken van een stand-alone versie van DigiDemoBord is [html-inline](http://www.npmjs.com/package/html-inline) gebruikt, een programma om een javascript en andere sources in een html-bestand te stoppen, zodat het html-bestand self-contained wordt.

Voor het maken van de handleiding wordt gebruik gemaakt van:

-   [pandoc](http://pandoc.org), de universele documentatie conversie tool,
-   en de [pandoc-crossref](https://github.com/lierdakil/pandoc-crossref) extensie,
-   en de [SingleFile add-on van Firefox](https://github.com/gildas-lormeau/SingleFile) (om de handleiding als één bestand op te slaan).

Voor de [DigiDemoBord website](http://digidemobord.gitlab.io) is

-   het [Minimal Mistakes Jekyll Theme](https://mmistakes.github.io/minimal-mistakes/) van Michael Rose gebruikt,
-   en [Jekyll](http://jekyllrb.com) wordt gebruikt om de website te bouwen;
-   het plaatje op de DigiDemoBord website is afkomstig van [blender artists](https://blenderartists.org/t/chess-pieces-free-wallpaper)

Zowel de DigiDemoBord website als de code van het DigiDemoBord staan in git repositories die gehost worden door [gitlab](http://gitlab.com).
